Bug 1120063 - Provide a bit more space and/or limit length of bond names to fit in the availabel space
Summary: Provide a bit more space and/or limit length of bond names to fit in the avai...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node
Version: 3.4.0
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: 3.4.1
Assignee: Ryan Barry
QA Contact: Virtualization Bugs
URL:
Whiteboard: node
Depends On: 1083106
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 08:00 UTC by rhev-integ
Modified: 2016-02-10 20:04 UTC (History)
12 users (show)

Fixed In Version: ovirt-node-3.0.1-18.el6_5.13
Doc Type: Bug Fix
Doc Text:
Previously, the Red Hat Enterprise Virtualization Hypervisor user interface did not display complete bond device names. Now, the 'Device' column has been expanded to accommodate the entire length of bond names. Note: On the 80x24 minimal setup, this means the 'Vendor' column no longer appears, but 'MAC Address' field remains.
Clone Of: 1083106
Environment:
Last Closed: 2014-07-29 14:19:20 UTC
oVirt Team: Node


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0977 normal SHIPPED_LIVE ovirt-node bug fix and enhancement update for 3.4.1/6.5.6 2014-07-29 18:17:43 UTC
oVirt gerrit 26372 None None None Never

Comment 3 Ying Cui 2014-07-21 06:47:31 UTC
Tested this bug on ovirt-node-3.0.1-18.el6_5.13.noarch and rhev-hypervisor6-6.5-20140715.0.iso.

Test scenario 1: Create bond from RHEVH
 1. Installed RHEV-H successful.
 2. RHEVH TUI-> Network-> Create Bond
 3. bond name limited "bond[0-99]", six characters.
 4. Created bond successful, bond name display correct.

Test scenario 2: Create bond from RHEVM
 1. Add RHEV-H successful.
 2. Access RHEVM webadmin
 3. Hosted-> Setup Hosts Networks
 4. Create New Bond -> Bond12345678901 (bond+number max 11 digits), total: 15 characters.
 5. Save network configuration.
 6. Check RHEV-H TUI-> Network
 7. The new bond Bond12345678901 is displayed.
 8. Repeat step 4, enter bond name more than 15 characters, then there pop up messages "size must be between 1 and 15"

Comment 4 Ying Cui 2014-07-21 06:51:21 UTC
Hi Fabian,
  In this bug Doc Text "RHEV-H display only 7 characters of bond device names", but in real RHEVH, there limited 6 characters, bond[0-99], which should be correct? 7 characters or 6 characters?

Thanks
Ying

Comment 5 Ying Cui 2014-07-21 07:06:02 UTC
Hi Ryan,
  The same question to you too on comment 4.

Thanks
Ying

Comment 6 Fabian Deutsch 2014-07-21 09:31:45 UTC
Ying, thanks. IO've updated the doctext.

Lucinda, could you please check if the wording is good?

Comment 7 Ying Cui 2014-07-21 09:37:07 UTC
(In reply to Fabian Deutsch from comment #6)
> Ying, thanks. IO've updated the doctext.

OK, so the bond name from RHEV-H TUI created is limited "bond[0-99]", six characters. After Fabian confirmation, I change this bug status to 'Verified'

Comment 8 Lucy Bopf 2014-07-21 23:51:07 UTC
Fabian,

I just updated a couple of words, so it reads "did not display" instead of "could display". I believe this is accurate now.

Lucy

Comment 9 Fabian Deutsch 2014-07-22 08:38:21 UTC
Lucy, thanks, that looks like a nice text now.

Comment 11 errata-xmlrpc 2014-07-29 14:19:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0977.html


Note You need to log in before you can comment on or make changes to this bug.